---
name: Bug report
about: Report a problem with one of the examples
title: "[Bug]"
labels: ''
assignees: ''

---

> Note: This template is intended to help organize your report. Feel free to modify it as you need. The most important thing is to file a clear, detailed report, not to follow the template.

**Build environment:** macOS, Windows, or Linux

**Target device:** NodeMCU ESP8266, NodeMCU ESP32, Moddable One, Moddable Two, desktop simulator, etc.

**Description**

A brief summary of the problem.

If you are reporting a problem with the text, please include the page number.

If you are reporting a problem with an example, please include the name of the example.

If you are reporting a problem with a figure, please include the figure number (e.g. 6-12).

**Steps to Reproduce**

1. Build and install the host using this build command: `mcconfig -d -m ...`
2. Build and install the example using this build command: `mcrun -d -m ...`
2. Click on '....'
3. See error

**Images**

Screenshots or photos to help explain the problem

**Other information**

Any other details you believe may be helpful in understanding the issue, reproducing the unexpected behavior, or fixing the example
